﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_Back_KnowledgeBase, KartrisCompiled" %>
<%@ Register TagPrefix="_user" TagName="LanguageContainer" Src="~/UserControls/Back/_LanguageContainer.ascx" %>
<asp:UpdatePanel ID="updKBList" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:PlaceHolder ID="phdKBList" runat="server">
            <div class="section">
                <asp:LinkButton ID="lnkAddKB" runat="server" Text="<%$ Resources: _Kartris, FormButton_New %>"
                    CssClass="linkbutton icon_new floatright" /><br />
                <div class="searchboxrow">
                    <asp:Panel ID="pnlFind" runat="server" DefaultButton="btnFind">
                        <asp:TextBox runat="server" ID="txtSearchKBID" MaxLength="6" CssClass="midtext" />
                        <asp:Button ID="btnFind" runat="server" Text="<%$ Resources:_Kartris, FormButton_Search %>"
                            CssClass="button" />
                        <asp:Button ID="btnClear" runat="server" CssClass="button cancelbutton" Text='<%$ Resources:_Kartris, ContentText_Clear %>' />
                        <div class="spacer">
                            &nbsp;</div>
                        <p>
                            <asp:Literal ID="litEnterDate" runat="server" Text="<%$Resources:_Kartris, ContentText_EnterAnID %>"></asp:Literal></p>
                        <ajaxtoolkit:filteredtextboxextender id="filSearch" runat="server" targetcontrolid="txtSearchKBID"
                            filtertype="Numbers" />
                    </asp:Panel>
                    <br />
                </div>
                <asp:MultiView ID="mvwKBs" runat="server" ActiveViewIndex="0">
                    <asp:View ID="viwKBList" runat="server">
                        <asp:GridView CssClass="kartristable" ID="gvwKB" runat="server" AllowPaging="true"
                            AllowSorting="false" AutoGenerateColumns="False" DataKeyNames="KB_ID" AutoGenerateEditButton="False"
                            GridLines="None" SelectedIndex="-1" PageSize="15">
                            <Columns>
                                <asp:BoundField DataField="KB_ID" HeaderText="#" ItemStyle-CssClass="column2" />
                                <asp:BoundField DataField="KB_Name" HeaderText="<%$ Resources:_Kartris, FormLabel_Name %>"
                                    ItemStyle-CssClass="column2" />
                                <asp:TemplateField ItemStyle-CssClass="column3">
                                    <HeaderTemplate>
                                        <asp:Literal ID="litContentTextLive" runat="server" Text="<%$ Resources:_Kartris, ContentText_Live %>" />
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkLive" runat="server" CssClass="checkbox" Enabled="false" Checked='<%# Eval("KB_Live") %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField ItemStyle-CssClass="column4">
                                    <HeaderTemplate>
                                        <asp:Literal ID="litContentTextKBDateCreated" runat="server" Text="<%$ Resources:_Kartris, ContentText_DateCreated %>" />
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:Literal ID="litDateCreated" runat="server" Text='<%# Kartris.CkartrisDisplayFunctions.FormatDate(Eval("KB_DateCreated"), "d", Session("_LANG")) %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField ItemStyle-CssClass="column5">
                                    <HeaderTemplate>
                                        <asp:Literal ID="litContentTextKBLastUpdated" runat="server" Text="<%$ Resources:_Kartris, ContentText_LastUpdated %>" />
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:Literal ID="litLastUpdated" runat="server" Text='<%# Kartris.CkartrisDisplayFunctions.FormatDate(Eval("KB_LastUpdated"), "d", Session("_LANG")) %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField ItemStyle-CssClass="selectfield">
                                    <HeaderTemplate>
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:LinkButton ID="lnkBtnEdit" runat="server" CommandName="EditKB" CommandArgument='<%# Container.DataItemIndex %>'
                                            Text='<%$ Resources: _Kartris, FormButton_Edit %>' CssClass="linkbutton icon_edit" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </asp:View>
                    <asp:View ID="viwNoKB" runat="server">
                        <asp:Panel ID="pnlNoItems" runat="server" CssClass="noresults">
                            <asp:Literal ID="litNoItems" runat="server" Text="<%$ Resources: _Kartris, ContentText_NoItemsFound %>">
                            </asp:Literal>
                        </asp:Panel>
                    </asp:View>
                </asp:MultiView>
            </div>
        </asp:PlaceHolder>
    </ContentTemplate>
</asp:UpdatePanel>
<asp:UpdateProgress ID="prgKBList" runat="server" AssociatedUpdatePanelID="updKBList">
    <ProgressTemplate>
        <div class="loadingimage">
        </div>
        <div class="updateprogress">
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>
<asp:UpdatePanel ID="updKBDetails" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:PlaceHolder ID="phdKBDetails" runat="server">
            <asp:Literal ID="litKBID" runat="server" Visible="false" />
            <asp:MultiView ID="mvwKB" runat="server">
                <asp:View ID="viwKBEmpty" runat="server">
                </asp:View>
                <asp:View ID="viwKBInfo" runat="server">
                    <div class="Kartris-DetailsView">
                        <div class="Kartris-DetailsView-Data">
                            <ul>
                                <%-- Live --%>
                                <li><span class="Kartris-DetailsView-Name">
                                    <asp:Literal ID="litContentTextLive" runat="server" Text="<%$ Resources:_Kartris, ContentText_Live %>" />
                                </span><span class="Kartris-DetailsView-Value">
                                    <asp:CheckBox ID="chkLive" runat="server" CssClass="checkbox" />
                                </span></li>
                                <%-- Creation Date --%>
                                <li><span class="Kartris-DetailsView-Name">
                                    <asp:Literal ID="litCreationDate" runat="server" Text="<%$ Resources: _Kartris , ContentText_DateCreated %>"></asp:Literal>
                                </span><span class="Kartris-DetailsView-Value">
                                    <asp:ImageButton ID="btnCalendar" runat="server" AlternateText="" ImageUrl="~/images/backend/icon_calendar.gif"
                                        Width="16" Height="17" CssClass="calendarbutton" />
                                    <asp:TextBox ID="txtCreationDate" runat="server" CssClass="midtext" MaxLength="11" />
                                    <asp:RequiredFieldValidator ID="valCreationDate" runat="server" ControlToValidate="txtCreationDate"
                                        CssClass="error" ForeColor="" ErrorMessage="<%$ Resources: _Kartris, ContentText_RequiredField %>"
                                        Display="Dynamic" SetFocusOnError="true" />
                                    <ajaxToolkit:CalendarExtender ID="calCreationDate" runat="server" TargetControlID="txtCreationDate"
                                        Animated="true" PopupButtonID="btnCalendar" Format="yyyy/MM/dd" PopupPosition="BottomLeft"
                                        CssClass="calendar" />
                                </span></li>
                                <%-- Update Date --%>
                                <li><span class="Kartris-DetailsView-Name">
                                    <asp:Literal ID="litUpdateDate" runat="server" Text="<%$ Resources: _Kartris , ContentText_LastUpdated %>"></asp:Literal>
                                </span><span class="Kartris-DetailsView-Value">
                                    <asp:ImageButton ID="btnCalendar2" runat="server" AlternateText="" ImageUrl="~/images/backend/icon_calendar.gif"
                                        Width="16" Height="17" CssClass="calendarbutton" />
                                    <asp:TextBox ID="txtUpdateDate" runat="server" CssClass="midtext" MaxLength="11" />
                                    <asp:RequiredFieldValidator ID="valUpdateDate" runat="server" ControlToValidate="txtUpdateDate"
                                        CssClass="error" ForeColor="" ErrorMessage="<%$ Resources: _Kartris, ContentText_RequiredField %>"
                                        Display="Dynamic" SetFocusOnError="true" />
                                    <ajaxToolkit:CalendarExtender ID="calUpdateDate" runat="server" TargetControlID="txtUpdateDate"
                                        Animated="true" PopupButtonID="btnCalendar2" Format="yyyy/MM/dd" PopupPosition="BottomLeft"
                                        CssClass="calendar" />
                                </span></li>
                            </ul>
                        </div>
                    </div>
                    <%-- Language Elements --%>
                    <div>
                        <asp:UpdatePanel ID="updLanguageContainer" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:PlaceHolder ID="phdLanguageContainer" runat="server">
                                    <_user:LanguageContainer ID="_UC_LangContainer" runat="server" />
                                </asp:PlaceHolder>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                    <%-- Save Button  --%>
                    <div class="submitbuttons">
                        <asp:UpdatePanel ID="updSaveChanges" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <span class="floatright">
                                    <asp:LinkButton ID="lnkBtnDeleteKB" CssClass="linkbutton icon_delete" runat="server"
                                        Text='<%$ Resources: _Kartris, FormButton_Delete %>' /></span>
                                <asp:Button ID="lnkBtnSaveKB" runat="server" CssClass="button" Text='<%$ Resources: _Kartris, FormButton_Save %>' />
                                <asp:Button ID="lnkBtnCancelKB" CausesValidation="false" runat="server" CssClass="button cancelbutton"
                                    Text='<%$ Resources: _Kartris, FormButton_Cancel %>' />
                                <asp:HyperLink ID="lnkPreview" runat="server" CssClass="linkbutton icon_edit" Text='<%$ Resources: _Kartris, FormButton_Preview %>'
                                    Target="_blank" Visible="false" />
                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <asp:ValidationSummary CausesValidation="True" ID="valSummary" runat="server" ForeColor=""
                            CssClass="valsummary" DisplayMode="BulletList" HeaderText="<%$ Resources: _Kartris, ContentText_Errors %>" />
                    </div>
                </asp:View>
            </asp:MultiView>
        </asp:PlaceHolder>
        <_user:PopupMessage ID="_UC_PopupMsg" runat="server" />
    </ContentTemplate>
</asp:UpdatePanel>
<asp:UpdateProgress ID="prgKBDetails" runat="server" AssociatedUpdatePanelID="updKBDetails">
    <ProgressTemplate>
        <div class="loadingimage">
        </div>
        <div class="updateprogress">
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>
